#include <stdint.h>
/*
 * struct to pass data to the toggle cog driver
 */

#ifndef EXTENDED_MEMORY_DRIVER_MAILBOX
  typedef struct {
    uint32_t command;               // The memory command defined by the driver plus additional data needed for the command.
    uint32_t *hubAddress;           // In case of read command this is the destination address, In case of write, this is the start address of the source data.
    uint8_t byteCount;              // Number of bytes to read or write.
    uint8_t io0Pin;                 // Pin number of the IO0 pin. IO1, IO2, IO3 are the following pins.
    uint8_t flashCSPin;             // Chip select pin for flash memory.
    uint8_t sramCSPin;              // Chip select pin for sram memory.
    uint8_t clkPin;                 // Clock pin.
  } extendedMemoryDriverMailbox_t;

  #define EXTENDED_MEMORY_DRIVER_MAILBOX 1
  #define READ_FLASH 10
  #define ERASE_FLASH_4K_BLOCK 11
  #define ERASE_FLASH_64K_BLOCK 12
  #define ERASE_FLASH_CHIP 13
  #define WRITE_FLASH 14
  #define READ_JEDEC_ID 15
#endif

